#! /bin/bash 
# -----------------------------------------------------------------------------------------------------------
# Tuxbox Build & Compiler Helper 
# by yjogol (yjogol@online.de) 
# Maketargets by Tommy 
# $Date: 2007/01/20 11:58:07 $ 
# $Revision: 1.1 $ 
# ----------------------------------------------------------------------------------------------------------- 

# ----------------------------------------------------------------------------------------------------------- 
# Menu
# ----------------------------------------------------------------------------------------------------------- 
maketargets_menu() 
{ 
	if [ "$SDEBUG" == "0" ]; then
		clear
	fi
	echo "===============================================================================" 
	echo "Menu: Maketargets" 
	echo "Version: $yb_version Date: $yb_date" 
	echo "-------------------------------------------------------------------------------" 
	echo "" 
	echo "YADD" 
	echo "-------------------------------------------------------------------------------" 
	echo "yn - Yadd Neutrino" 
	echo "ye - Yadd Enigma" 
	echo "yl - Yadd Lcars" 
	echo "" 
	echo "FLASH" 
	echo "-------------------------------------------------------------------------------" 
	echo "fn - Flash Neutrino (build neutrino and daemons in /cdk-flash/)" 
	echo "fe - Flash Enigma" 
	echo "fl - Flash Lcars" 
	echo "" 
	echo "ALL" 
	echo "-------------------------------------------------------------------------------" 
	echo "pl - Plugins" 
	echo "fs - Funstuff" 
	echo "ha - Hostapps" 
	echo "-------------------------------------------------------------------------------" 
	echo "" 
	echo "b - Back" 
	echo "==============================================================================="
	echo "Enter command:"
}

# -----------------------------------------------------------------------------------------------------------
# Menu Loop
# -----------------------------------------------------------------------------------------------------------
maketargets()
{
	maketargets_doquit=false
	while [ "$maketargets_doquit" == "false" ]
	do
		maketargets_menu
		read cmd
		case "$cmd" in
			yn)	do_make yadd-neutrino ;;
			ye)	do_make yadd-enigma ;;
			yl)	do_make yadd-lcars ;;
			fn)	do_make flash-neutrino ;;
			fe)	do_make flash-enigma ;;
			fl)	do_make flash-lcars ;;
			pl)	do_make plugins ;;
			fs)	do_make funstuff ;;
			ha)	do_make hostapps ;;
			b)	maketargets_doquit="true" ;;
		esac 
		if [ "$maketargets_doquit" == "false" ]; then
			echo "Ready .... press Enter"
			read dummy
		fi
	done
}

